VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Attributes | List of all members
NoteOffEvent Struct Reference

Note-off event specific data. More...

`#include <ivstevents.h>`

## Public Attributes
int16 | channel
| channel index in event bus
int16 | pitch
| range [0, 127] = [C-2, G8] with A3=440Hz (12-TET)
float | velocity
| range [0.0, 1.0]
int32 | noteId
| associated noteOn identifier (if not available then -1)
float | tuning
| 1.f = +1 cent, -1.f = -1 cent

## Detailed Description

Note-off event specific data.

Used in Event (union)

## Member Data Documentation

int16 channel

channel index in event bus

int16 pitch

range [0, 127] = [C-2, G8] with A3=440Hz (12-TET)

float velocity

range [0.0, 1.0]

int32 noteId

associated noteOn identifier (if not available then -1)

float tuning

1.f = +1 cent, -1.f = -1 cent

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.